MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024213Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2013-10-01 10:552013-12-19 13:58
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024213: bopargcheck complains on sphere
DescriptionCommand bopargcheck complains on all degenerated edges, including pole of sphere. This should be corrected.
Steps To ReproduceDraw[206]> psphere s 10
Draw[207]> bopargcheck s #F
Made faulty shape: s1se_1
Made faulty shape: s1se_2
Faulties for FIRST shape found : 2
---------------------------------
Shapes are not suppotrted by BOP: NO
Self-Intersections : NO
Check for SI has been aborted : NO
Too small edges : YES Cases(2) Total shapes(2)
Bad faces : NO
Too close vertices : NO
Too close edges : NO

Faulties for SECOND shape found : 0
Additional information
and documentation updates
In the function
  void BOPAlgo_ArgumentAnalyzer::TestSmallEdge()
added check on degenerated edges.
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug24213
Attached Files

- Relationships

-  Notes
(0025825)
emv (developer)
2013-10-01 16:21

Git branch CR24213 is ready to be reviewed.
(0025826)
ifv (developer)
2013-10-01 16:31

Ok
(0025847)
mkv (tester)
2013-10-02 15:23

Dear BugMaster,

Branch CR24213 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 9a152facdcffd676aa2e62d0f57d8064fcf65d9f

Number of compiler warnings:

occt component :
Linux: 425 (426 on master)
Windows: 24 (24 on master)

products component :
Linux: 190 (190 on master)
Windows: 287 (287 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24213-master-occt/Debian60-64/bugs/modalg_5/bug24213.html [^]
http://occt-tests/CR24213-master-occt/Windows-32-VC9/bugs/modalg_5/bug24213.html [^]
bugs modalg_5(010) bug24213: OK

Testing on Linux:
Total MEMORY difference: 366363076 / 366182216
Total CPU difference: 44454.02000000069 / 44692.5000000013

Testing on Windows:
Total MEMORY difference: 433079084 / 433385352
Total CPU difference: 33330.625 / 34606.890625

There are not differences in images found by testdiff.

- Related Changesets
occt: master 9d1c5188
Timestamp: 2013-10-03 10:20:54
Author: emv
Committer: bugmaster
Details ] Diff ]
0024213: bopargcheck complains on sphere

Added check for degenerated edges.
Test case for issue CR24213
mod - src/BOPAlgo/BOPAlgo_ArgumentAnalyzer.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug24213 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-10-01 10:55 abv New Issue
2013-10-01 10:55 abv Assigned To => ifv
2013-10-01 11:12 abv Assigned To ifv => emv
2013-10-01 11:12 abv Status new => assigned
2013-10-01 16:21 emv Note Added: 0025825
2013-10-01 16:21 emv Assigned To emv => ifv
2013-10-01 16:21 emv Status assigned => resolved
2013-10-01 16:21 emv Additional Information Updated View Revisions
2013-10-01 16:31 ifv Note Added: 0025826
2013-10-01 16:31 ifv Status resolved => reviewed
2013-10-02 06:39 mkv Assigned To ifv => mkv
2013-10-02 15:23 mkv Note Added: 0025847
2013-10-02 15:24 mkv Test case number => bugs modalg_5(010) bug24213
2013-10-02 15:24 mkv Assigned To mkv => bugmaster
2013-10-02 15:24 mkv Status reviewed => tested
2013-10-04 12:48 bugmaster Changeset attached => occt master 9d1c5188
2013-10-04 12:48 bugmaster Status tested => verified
2013-10-04 12:48 bugmaster Resolution open => fixed
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker